using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Dynamicweb.Extensibility;
using Dynamicweb;

namespace CustomModules.CustomModules.DwExample
{
	[AddInName("DwExample")]
	public class Class1 : Dynamicweb.ContentModule
	{
		public override string GetContent()
		{
			int moduleID = Base.ChkInteger(Base.Request("ModuleID"));
			int pid = Base.ChkInteger(Base.Request("PID"));
			if ((moduleID > 0) & (pid == Base.ChkInteger(base.ParagraphRow["ParagraphID"])))
			{
				return ShowModule(Base.ChkInteger(Base.Request("ModuleID")));
			}
			else {
				return listModules();
			}
			
		}

		public string ShowModule(Int32 moduleid)
		{
			return "<tr><td>" + moduleid.ToString() + "</td></tr>";
		}

		public string listModules()
		{
			Dynamicweb.Templatev2.Template t = new Dynamicweb.Templatev2.Template("DwExample/" + this.Properties.get_Value("myTemplate"));
			t.SetTag("myText", this.Properties.get_Value("myText"));
			t.SetTag("myDate", DateTime.Now);

			Dynamicweb.Templatev2.Template t2 = t.GetLoop("ModuleList");

			using (IDataReader dr = Database.getDataReader("select * from [module] where moduleaccess = " + Database.SqlBool(true), "Dynamic.mdb"))
			{
				while (dr.Read())
				{
					//t2.SetTag("ModuleName", Base.ChkString(dr["ModuleName"]));
					t2.SetTag("ParagraphID", Base.ChkString(base.ParagraphRow["ParagraphID"]));
					t2.SetTag("PageID", this.Pageview.ID);
					t2.SetTags(dr);
					t2.CommitLoop();
				}

			}


			t.GenerateTemplate(false);

			return t.Output();
		}
	}
}
